#ifndef LANDMARCLOCATOR_H
#define LANDMARCLOCATOR_H

#include "proximitylocator.h"

class LANDMARCLocator : public ProximityLocator
{
    Q_OBJECT
public:
    LANDMARCLocator(ProximityDataModel& model,
                    int timeout=LOCATOR_TIMEOUT);
    ~LANDMARCLocator();
public slots:
    void calculate();
protected:
    quint8 _consideredTags;
};

#endif // LANDMARCLOCATOR_H
