#include <QSettings>
#include "landmarcvirelocator.h"

LANDMARCViReLocator::LANDMARCViReLocator(ProximityDataModel &model, int timeout)
    :LANDMARCLocator(model, timeout)
{
    QSettings settings;
    _numViReTagsBetween = settings.value("viretags", "2").toUInt();
    _numRefTagsHorizontal = settings.value("reftagshorizontal" , "4").toUInt();
    _numRefTagsVertical = settings.value("reftagsvertical", "4").toUInt();
}

LANDMARCViReLocator::~LANDMARCViReLocator()
{
}

void LANDMARCViReLocator::calculate() {
}
