#ifndef LANDMARCVIRELOCATOR_H
#define LANDMARCVIRELOCATOR_H

#include "landmarclocator.h"

class LANDMARCViReLocator : public LANDMARCLocator
{
    Q_OBJECT
public:
    LANDMARCViReLocator(ProximityDataModel& model,
                        int timeout = LOCATOR_TIMEOUT);
    ~LANDMARCViReLocator();
public slots:
    void calculate();
private:
    quint8 _numViReTagsBetween;
    quint8 _numRefTagsHorizontal;
    quint8 _numRefTagsVertical;
};

#endif // LANDMARCVIRELOCATOR_H
