#ifndef POSITION_H
#define POSITION_H

#include "QObject"
#include "PTNP.h"

namespace PTNP{

    class Position
    {
    public:
        Position();
        PTNP::coord x(){return _x;}
        PTNP::coord y(){return _y;}
        quint8 floor(){return _floor;}
        void setX(PTNP::coord x){_x = x;}
        void setY(PTNP::coord y){_y = y;}
        void setFloor(quint8 floor){_floor = floor;}
        void setPosition(PTNP::position pos) { _x = pos.x; _y = pos.y; _floor = pos.f; };
        PTNP::position pos() { PTNP::position p; p.x = _x; p.y = _y; p.f = _floor; return p; }
    protected:
        PTNP::coord _x,_y;
        quint8 _floor;
    };
}

#endif // POSITION_H
