#include "outtimingsignalstrength.h"

#include <QTextStream>

namespace PTNP {

    /*!
      Timeout für ein Beacon an einer Antenne mit einer Signalstärke
      */
    OuttimingSignalStrength::OuttimingSignalStrength(PTNP::aid aid, PTNP::signalStrength s):_aid(aid), _signalStrength(s)
    {
        this->setSingleShot(true);
        int intervall = (1.0/signalStrengthWeight[_signalStrength])*TIMEOUT_MULTIPLIER*MULTIPLIER;
        this->setInterval(intervall);
#ifdef _DEV_
        QTextStream cout(stdout, QIODevice::WriteOnly);
        cout<<"oss.cpp: weight: "<<signalStrengthWeight[_signalStrength]<<" "<<TIMEOUT_MULTIPLIER<<" "<<MULTIPLIER<<" intervall: "<<intervall<<"\n";
#endif
    }

}
