#ifndef OUTTIMINGSIGNALSTRENGTH_H
#define OUTTIMINGSIGNALSTRENGTH_H
#include "outtimingobject.h"

namespace PTNP {

    // Faktor für die Verlängerung der Timeouts
#define TIMEOUT_MULTIPLIER 16

    class OuttimingSignalStrength: public OuttimingObject
    {
        Q_OBJECT
    public:
        //! der Standardkonstruktor nimmt eine AntennenID und die Signalstärke des Beacons
        OuttimingSignalStrength(PTNP::aid, PTNP::signalStrength);
        PTNP::aid aid() {return _aid;} //! gibt die aid des Beacons zurück
        PTNP::signalStrength signalStrength() {return _signalStrength;} //! gibt die Signalstärke des Beacons zurück
    private:
        PTNP::aid _aid;
        PTNP::signalStrength _signalStrength;
    };
}
#endif // OUTTIMINGSIGNALSTRENGTH_H
