#include "proximityantenna.h"

namespace PTNP {
    /*!
      Dieser Konstruktor erstellt eine Antenne mit einer ID
      */
    ProximityAntenna::ProximityAntenna(PTNP::aid aid, bool ignored)
        : _aid(aid), _ignored(ignored)
    {
        _flags = 0;
        if(_ignored) {
            // Diese Antenne steht in einem Bereich, dessen
            // Konakte beispielsweise von einem SQL-Client
            // nicht in die Datenbank eingetragen werden sollen.
            _flags |= PTNP::IGNORE_FLAG;
        }
    }

    /*!
      Tut momentan nichts
      */
    ProximityAntenna::~ProximityAntenna()
    {
    }
}
